Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.io
Class FileOutputAdapter

    java.lang.Object
      org.neuroph.util.io.OutputStreamAdapter
          org.neuroph.util.io.FileOutputAdapter

All Implemented Interfaces:
  OutputAdapter

    public class FileOutputAdapter

extends OutputStreamAdapter

Implementation of OutputAdapter interface for writing neural network outputs to files.

Author:
  Zoran Sevarac
See Also:
  `OutputAdapter`

Field Summary

Fields inherited from class org.neuroph.util.io.OutputStreamAdapter
`bufferedWriter`

Constructor Summary
`FileOutputAdapter(File file)` Creates a new FileOutputAdapter by opening a connection to an actual file, specified by the file param
`FileOutputAdapter(String fileName)` Creates a new FileOutputAdapter by opening a connection to an actual file, specified by the fileName param

Method Summary

Methods inherited from class org.neuroph.util.io.OutputStreamAdapter
`close, writeOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileOutputAdapter

    public FileOutputAdapter(File file)
                      throws FileNotFoundException,
                             IOException

  Creates a new FileOutputAdapter by opening a connection to an actual file, specified by the file param

  Parameters:
    `file` - File object in the file system
  Throws:
    `FileNotFoundException` - if specified file was not found
    `IOException`

### FileOutputAdapter

    public FileOutputAdapter(String fileName)
                      throws FileNotFoundException,
                             IOException

  Creates a new FileOutputAdapter by opening a connection to an actual file, specified by the fileName param

  Parameters:
    `fileName` - name of the file in file system
  Throws:
    `FileNotFoundException` - if specified file was not found
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.